<?php

 
   $t = new Temperature();
   // get devices list
   $devices = $t->getDeviceList();
//echo "sensors=".count($devices)."<br>";

for ($i=0;$i<count($devices);$i++) {

$temp = $t->getData($devices[$i]);
$device=str_replace("-","",strtoupper($devices[$i]));
echo "$device:$temp<br>";
}

// склассы чтения датчиков.
class Temperature
{

   private $_devicePath='/sys/bus/w1/devices/w1_bus_master1/';
   
   public function getDeviceList()
   {
       $filename = $this->_devicePath.'w1_master_slaves';
       if(file_exists($filename) and $fp = fopen($filename, 'r'))
       {
 
           $list = fread($fp, 100);
 
           if($list)
           {
               $list = trim($list);
               return explode("\n", $list);
           }
       }
       else throw Exception('Device list no available');

   }

   public function getData($deviceId)
   {
       $filename = $this->_devicePath.'/'.$deviceId.'/'.'w1_slave';
       if(file_exists($filename) and $fp = fopen($filename, 'r'))
       {
 
           $data = fread($fp, 100);
           if($data)
           {
 
               if(preg_match("'t=(\d+)'", $data, $result)) return (round($result[1]/10)/100);
               else throw Exception("Device $deviceId data error");
           }
       }
       else throw Exception("Device $deviceId no available");

   }
}
